package com.gprinter.udp.wifi;

import com.gprinter.udp.CommandUDP;
import com.gprinter.udp.Response;
import com.gprinter.utils.LogUtils;
import java.util.regex.Pattern;

/* loaded from: com_gprinter_udp_wifi.jar:com/gprinter/udp/wifi/SearchWifiDeviceCommand.class */
public class SearchWifiDeviceCommand extends CommandUDP {
    String command = "HF-A11ASSISTHREAD";

    public byte[] getCommand() {
        return "HF-A11ASSISTHREAD".getBytes();
    }

    public Response resolveResponseData(long uuid, byte[] bytes) {
        try {
            String str = new String(bytes);
            if (str.startsWith(this.command)) {
                str = str.replace(this.command, "");
            }
            LogUtils.e("解析数据" + str);
            return decodeBroadcast2Module(str);
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    public static synchronized SearchWifiDeviceResp decodeBroadcast2Module(String response) {
        if (response == null) {
            return null;
        }
        String[] array = response.split(",");
        if (array == null || ((array.length < 2 && array.length > 3) || !isIP(array[0]) || !isMAC(array[1]))) {
            LogUtils.e("参数不正确");
            return null;
        }
        SearchWifiDeviceResp wiFiDeviceResp = new SearchWifiDeviceResp();
        wiFiDeviceResp.setIp(array[0]);
        wiFiDeviceResp.setMac(array[1]);
        if (array.length == 3) {
            wiFiDeviceResp.setModuleID(array[2]);
        }
        return wiFiDeviceResp;
    }

    public static boolean isIP(String str) {
        Pattern pattern = Pattern.compile("\\b((?!\\d\\d\\d)\\d+|1\\d\\d|2[0-4]\\d|25[0-5])\\.((?!\\d\\d\\d)\\d+|1\\d\\d|2[0-4]\\d|25[0-5])\\.((?!\\d\\d\\d)\\d+|1\\d\\d|2[0-4]\\d|25[0-5])\\.((?!\\d\\d\\d)\\d+|1\\d\\d|2[0-4]\\d|25[0-5])\\b");
        return pattern.matcher(str).matches();
    }

    public static boolean isMAC(String str) {
        String str2 = str.trim();
        if (str2.length() != 12) {
            return false;
        }
        char[] chars = new char[12];
        str2.getChars(0, 12, chars, 0);
        for (int i = 0; i < chars.length; i++) {
            if ((chars[i] < '0' || chars[i] > '9') && ((chars[i] < 'A' || chars[i] > 'F') && (chars[i] < 'a' || chars[i] > 'f'))) {
                return false;
            }
        }
        return true;
    }
}
